commit:     9969692fc93f9fd7a7d1a1459208f45640d48f8b
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri May 13 13:05:05 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri May 13 13:48:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9969692f

dev-python/kconfiglib: EAPI=8, PEP517

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild | 32 +++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild 
b/dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild
new file mode 100644
index 000000000000..174e0cca755a
--- /dev/null
+++ b/dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="A flexible Python Kconfig implementation"
+HOMEPAGE="https://github.com/ulfalizer/Kconfiglib 
https://pypi.org/project/kconfiglib/";
+SRC_URI="https://github.com/ulfalizer/Kconfiglib/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # hacks to run tests
+       mkdir Kconfiglib || die
+       ln -s ../tests Kconfiglib || die
+       # don't run kernel Kconfig compat tests
+       sed -e 's/run_compatibility_tests()$/#\0/' -i testsuite.py || die
+}
+
+python_test() {
+       "${EPYTHON}" testsuite.py || die "tests failed with ${EPYTHON}"
+}

Reply via email to